summaryrefslogtreecommitdiffstats
path: root/punani
diff options
context:
space:
mode:
authorFelix Richter <github@syntax-fehler.de>2011-11-20 08:59:10 +0100
committerFelix Richter <github@syntax-fehler.de>2011-11-20 08:59:10 +0100
commit82a089ca49712882baecad9244e2233c56b22075 (patch)
tree76cae4384e745cb18f6b3ad69452ff5a14622a23 /punani
parent98c73906645364805fe512bec3856db6706f6a78 (diff)
//punani: fix logic fuckup after refactoring,typo
also, tightnani->punani
Diffstat (limited to 'punani')
-rwxr-xr-xpunani/bin/punani10
1 files changed, 5 insertions, 5 deletions
diff --git a/punani/bin/punani b/punani/bin/punani
index b96539ff..1de743e2 100755
--- a/punani/bin/punani
+++ b/punani/bin/punani
@@ -1,7 +1,7 @@
#! /bin/sh
set -euf
-TIGHTNANI_HOST="${TIGHTNANI_HOST-http://euer.krebsco.de:9111}"
+PUNANI_HOST="${PUNANI_HOST-http://euer.krebsco.de:9111}"
if [ $# -ne 2 ];then
echo "usage: `basename $0` (install|remove) PACKAGE"
@@ -23,8 +23,8 @@ elif for PACKER_CMD in brew
elif for PACKER_CMD in bauerbill packer yaourt pacman
do type $PACKER_CMD 2>/dev/null 1>&2 && break; done; then
- INSTALL_PARAM='--noconfirm -S'
- REMOVE_PARAM='--needed -Rcs'
+ INSTALL_PARAM='--noconfirm -S --needed'
+ REMOVE_PARAM='-Rcs'
elif for PACKER_CMD in aptitude apt-get
do type $PACKER_CMD 2>/dev/null 1>&2 && break; done; then
@@ -38,9 +38,9 @@ fi
## find package name
PKG="$2"
-RESOLVED=`wget -O- $TIGHTNANI_HOST/$PACKER_CMD/$PKG 2>/dev/null || :`
+RESOLVED=`wget -O- $PUNANI_HOST/$PACKER_CMD/$PKG 2>/dev/null || :`
if [ ! "$RESOLVED" ];then
- echo "Error 2: could not resolve '$PKG'; no punany for you!" >&2
+ echo "Error 2: could not resolve '$PKG'; no punani for you!" >&2
exit 23
fi